WordPress.org

Plugin Directory

Webmaster User Role

Adds a new "Admin" user role between Administrator and Editor. Perfect for clients and those who know just enough to be dangerous.

1.3.2

  • Improved: Improve support for new Gravity Forms version
  • Fixed: register_scripts_and_styles PHP warning
  • Fixed: potential issue with webmaster user being given no access permissions

1.3.1

  • Improved: Show Yoast metabox when editing pages (still hide settings) by default

1.3

  • New: Hide Users menu (often requested, and really the webmaster user couldn't do much in this screen anyway)
  • New: Add support for ACF5 (hide Custom Fields Menu compatible with new version)
  • New: Add support for Contact Form 7
  • New: Add support for iThemes Security

1.21

  • New: Add support for TablePress [http://wordpress.org/plugins/tablepress/]

v 1.2

  • Multisite bugfix: Prevent webmaster from removing users from individual sites
  • Multisite bugfix: Stop removing Settings & Tools from network administrator

1.1.1

  • New: Now hides non-essential dashboard items
  • Fixed: Fixes a conflict with Mizzo theme (thanks djesch)

1.1

  • New: Add support for Sucuri Scanner [http://wordpress.org/plugins/sucuri-scanner/]
  • New: Add support for Advanced Custom Fields [http://wordpress.org/plugins/advanced-custom-fields/]
  • New: Remove tools menu – so webmaster users can't import/export/migrate/find&replace

1.0.9

  • New: Add support for Ultimate Branding [http://premium.wpmudev.org/project/ultimate-branding/]

1.0.8

  • Improved: Add Gravity Forms edit_forms capability as an option (only allows entry viewing by default) via filter: add_filter( 'td-webmaster-user-roleoption_cap_gravityforms_edit_forms', __return_true );

1.0.7

  • New: Remove settings menu from wp-admin

1.0.5

  • New: Remove capability to delete users

1.0.4

  • Improved: Add "editor" cap for role so plugins checking for "editor" explicitly work

1.0.3

  • New: Remove capabiilty to add, edit, promote users
  • New: Remove capability to update core

1.0.2

  • Initial Release

Requires: 3.5 or higher
Compatible up to: 4.2.3
Last Updated: 2015-7-1
Active Installs: 7,000+

Ratings

4.3 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2
100,1,1 100,1,1
100,1,1
50,2,1